function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Nb = Yfuncvec(1); 
Na = Yfuncvec(2); 
Nd = Yfuncvec(3); 
Nc = Yfuncvec(4); 
% Explicit equations
k1a = 10; 
k2c = 15; 
Vo = 1000; 
vo = 10; 
V = Vo + vo * t; 
Ca = Na / V; 
Cb = Nb / V; 
r1a = 0 - (k1a * Ca * Cb ^ 2); 
Cc = Nc / V; 
r1b = 2 * r1a; 
rb = r1b; 
r2c = 0 - (k2c * Ca ^ 2 * Cc ^ 3); 
Fao = 3; 
r2a = 2 / 3 * r2c; 
r2d = -1 / 3 * r2c; 
r1c = 0 - r1a; 
rd = r2d; 
ra = r1a + r2a; 
Cd = Nd / V; 
rc = r1c + r2c; 
if (t > 0.0001) 
    Scd = Nc / Nd;
else
    Scd = 0;
end 
% Differential equations
dNbdt = rb * V; 
dNadt = ra * V + Fao; 
dNddt = rd * V; 
dNcdt = rc * V; 
dYfuncvecdt = [dNbdt; dNadt; dNddt; dNcdt]; 
