clc
tspan = [0 100]; % Range for the independent variable time
y0 = [200; 0; 0; 0]; % Initial values for the dependent variables i.e. Na,Nb,Nc,and Nd 
[t,y]=ode45(@ODEfun,tspan,y0)
z=size(y);
% Calculating values of selectivity
for i=1:z(1,1)
    if t(i,1)>0.0001
    Scd(i)=y(i,4)/y(i,3);
    else 
        Scd(i)=0;
    end
end
plot(t,Scd)
axis([0 100 0 10^10])
xlabel('t(min)')
ylabel('S_C_/_D')
title('Selectivity as a function of time')